[arch-commits] CVS update of extra/network/ipw3945 (PKGBUILD lockup.patch)

Thomas Baechler thomas at archlinux.org
Mon Jul 9 20:08:43 UTC 2007


    Date: Monday, July 9, 2007 @ 16:08:43
  Author: thomas
    Path: /home/cvs-extra/extra/network/ipw3945

   Added: lockup.patch (1.1)
Modified: PKGBUILD (1.20 -> 1.21)

2.6.22 update


--------------+
 PKGBUILD     |   13 +++++++------
 lockup.patch |   31 +++++++++++++++++++++++++++++++
 2 files changed, 38 insertions(+), 6 deletions(-)


Index: extra/network/ipw3945/PKGBUILD
diff -u extra/network/ipw3945/PKGBUILD:1.20 extra/network/ipw3945/PKGBUILD:1.21
--- extra/network/ipw3945/PKGBUILD:1.20	Wed Jun 13 21:14:46 2007
+++ extra/network/ipw3945/PKGBUILD	Mon Jul  9 16:08:43 2007
@@ -1,17 +1,19 @@
-# $Id: PKGBUILD,v 1.20 2007/06/14 01:14:46 james Exp $
+# $Id: PKGBUILD,v 1.21 2007/07/09 20:08:43 thomas Exp $
 # Contributor: Giovanni Scafora <linuxmania at gmail.com>
 # Maintainer: James Rayner <iphitus at gmail.com>
-_kernver=2.6.21-ARCH
+_kernver=2.6.22-ARCH
 pkgname=ipw3945
 pkgver=1.2.1
-pkgrel=2
+pkgrel=1
 pkgdesc="Driver for the Intel PRO/Wireless 3945ABG miniPCI express adapter"
 arch=(i686 x86_64)
 url="http://ipw3945.sourceforge.net"
 license=("GPL")
 depends=('wireless_tools' 'kernel26' 'ipw3945-ucode' 'ipw3945d')
 install=ipw3945.install
-source=(http://optusnet.dl.sourceforge.net/sourceforge/ipw3945/ipw3945-$pkgver.tgz)
+source=(http://optusnet.dl.sourceforge.net/sourceforge/ipw3945/ipw3945-$pkgver.tgz lockup.patch)
+md5sums=('9d6b2116122beb33a0d1d923ea49065c'
+         'a511372a66b7c9883d597fa00adb13da')
 
 build() {
   cd $startdir/src/ipw3945-$pkgver
@@ -20,8 +22,7 @@
            -e "s:^# \(CONFIG_IEEE80211_RADIOTAP\)=.*:\1=y:" \
            -e "s:^# \(CONFIG_IPW3945_PROMISCUOUS\)=.*:\1=y:" \
            Makefile
-  #patch -p0 -i $startdir/src/2.6.18-compile.patch ||return 1
-  #patch -Np0 -i ../kernel-2.6.19.patch || return 1
+  patch -Np1 -i ../lockup.patch || return 1
   make  KVER=${_kernver} IEEE80211_INC=/usr/src/linux-${_kernver}/ IEEE80211_IGNORE_DUPLICATE=y
   #Install kernel module
   install -D -m 644 ipw3945.ko  $startdir/pkg/lib/modules/${_kernver}/kernel/drivers/net/wireless/ipw3945/ipw3945.ko
Index: extra/network/ipw3945/lockup.patch
diff -u /dev/null extra/network/ipw3945/lockup.patch:1.1
--- /dev/null	Mon Jul  9 16:08:43 2007
+++ extra/network/ipw3945/lockup.patch	Mon Jul  9 16:08:43 2007
@@ -0,0 +1,31 @@
+
+Fix potential driver lockup problem
+
+Since we have already store the inta to priv->isr_inta in the
+interrupt handler we don't need to get it from the hardware again
+in the tasklet. Some people find ipw3945-1.2.1 still didn't
+resolve the boot lockup problem as reported in bugzilla #1096.
+
+If you still find the lockup problem in ipw3945-1.2.1, please try
+this patch and report if it resolves your problem or not to
+yi.zhu at intel.com.
+
+Thanks to Egon for providing this patch!
+
+Signed-off-by: Egon <anannatrak at yahoo.it>
+Signed-off-by: Zhu Yi <yi.zhu at intel.com>
+--
+
+--- a/ipw3945.c	2007-04-11 14:46:58.000000000 +0800
++++ b/ipw3945.c	2007-05-14 15:55:56.000000000 +0800
+@@ -2769,8 +2769,8 @@ static void ipw_irq_tasklet(struct ipw_p
+ 
+ 	spin_lock_irqsave(&priv->lock, flags);
+ 
+-	inta = ipw_read32(priv, CSR_INT);
+-	inta_mask = ipw_read32(priv, CSR_INT_MASK);
++	inta = 0;
++	inta_mask = 0;
+ 	ipw_write32(priv, CSR_INT, inta);
+ 	inta &= (CSR_INI_SET_MASK & inta_mask);
+ 




More information about the arch-commits mailing list